For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate a folder
      • GETReturns a folder's details
      • PUTUpdate a folder
      • GETGet all folders
      • DELDelete a folder (and all its lists)
      • GETGet lists in a folder
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementFolders

Get all folders

GET
https://api.brevo.com/v3/contacts/folders
GET
/v3/contacts/folders
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.getFolders({});
8}
9main();
1{
2 "count": 2,
3 "folders": [
4 {
5 "id": 42,
6 "name": "Ninja_Form",
7 "totalBlacklisted": 98,
8 "totalSubscribers": 4567,
9 "uniqueSubscribers": 4665
10 },
11 {
12 "id": 29,
13 "name": "Prestashop",
14 "totalBlacklisted": 10,
15 "totalSubscribers": 6543,
16 "uniqueSubscribers": 6553
17 }
18 ]
19}
<Note>Ongoing changes for this endpoint We're dropping support for the response attributes totalSubscribers and totalBlacklisted. These are non breaking changes. The default value for the attributes will be 0. The uniqueSubscribers field is deprecated</Note>
Was this page helpful?
Previous

Delete a folder (and all its lists)

Next
Built with
Ongoing changes for this endpoint We’re dropping support for the response attributes totalSubscribers and totalBlacklisted. These are non breaking changes. The default value for the attributes will be 0. The uniqueSubscribers field is deprecated

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

limitlongOptional0-50Defaults to 10
Number of documents per page
offsetlongOptionalDefaults to 0
Index of the first document of the page
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:

Response

Folders informations
countlong
Number of folders available in your account
folderslist of objects

Errors

400
Bad Request Error